.TH LEAVESFIRST 1 "Feb 6 1996" "Stanford University" "SUIF Compiler"
.SH NAME
leavesfirst \- reorder procedures to put leaves first
.SH SYNOPSIS
.B leavesfirst
.I infile
.I outfile
{
.I infile
.I outfile
} *
.SH DESCRIPTION
The
.I leavesfirst
program reorders procedures so that called procedures come before
calling procedures, as much as possible.  That way subsequent passes
that go through the procedures one at a time will see called
procedures before the callers.
.SH HISTORY
This program was written by Chris Wilson.
